EMF::EMRSETTEXTALIGN(3)

NAME
EMF::EMRSETTEXTALIGN - EMF Set Text Alignment.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRSELECTCLIPPATH.

  Public Member Functions

EMRSETTEXTALIGN (UINT mode)
EMRSETTEXTALIGN (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Set Text Alignment.

Determines the justification of the text with respect to its position.

Constructor & Destructor Documentation

  EMF::EMRSETTEXTALIGN::EMRSETTEXTALIGN (UINT mode) [inline]

Parameters:
    mode text alignment mode.

  EMF::EMRSETTEXTALIGN::EMRSETTEXTALIGN (DATASTREAM & ds) [inline]
Construct a SetTextAlign record from the input datastream.

Parameters:
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSETTEXTALIGN::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSETTEXTALIGN::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSETTEXTALIGN::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.